Subject: Re: RCS-5.7 and B19
From: [email-masked] (Christopher Faylor)

11 Mar 1998 20:16:39 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

>From [email-masked]  Wed Mar 11 03:33:53 1998
>Date: Wed, 11 Mar 1998 09:32:44 +0100
>
>Earnie Boyd said:
>> Goto Christopher Faylor's page and get the cygwinb19.zip file.  He has a 
>> new version which may help.  Before starting bash try setting 
>> CYGWIN32=notty.  If that doesn't work then exit bash set CYGWIN32=tty.  
>> If that doesn't work, report it to Christopher.
>> 
>> NOTE: You cannot change the [no]tty value in the CYGWIN32 value after 
>> bash has started.  This could cause crashes and core dumps.
>
>I tried all combinations of [no]binmode [no]tty on Chris' cygwinb19.dll
>Nothing helped! Sigh. rcs -i always fails in the presence of an RCS/
>directory, leaving two empty lock files. It works though when no RCS/
>directory is arround. So this must be a very subtle directory/file
>handling bug.
>
>Chris' cygwinb19.dll solved at least the problems with MikTeX and
>cygwin. ( MikTeX was looping infinitely on ordinary TeX errors...) 
>
>Will Chris' patches eventually show up in Sergey's coolview? What are
>the plans with those two versions?

My patches were submitted to Cygnus which means that, if they are accepted,
they should eventually show up in Sergey's stuff.  I should have mentioned
that I *think* I have all of Sergey's fixes in the .dll on my web page
so you shouldn't lose anything by using it.
--
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".